{% extends 'base.html.twig' %}

{% block title %}Gestion d'utilisateur{% endblock %}

{% block body %}
<div class="container">
    <h1>Gestion d'utilisateur</h1>
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th>Email</th>
                    <th>Roles</th>
                    <!-- <th>Newsletter</th> -->
                    <th>Modifier</th>
                    <th>Supprimer</th>
                </tr>
            </thead>
            <tbody>
            {% for user in users %}
                <tr>
                    <td>{{ user.email }}</td>
                    <td>{{ user.roles ? user.roles|json_encode : '' }}</td>
                    <!-- <td>{{ user.newsletter ? 'Oui' : 'Non' }}</td> -->
                    <td><a href="{{ path('user_edit', {'id': user.id}) }}"><i class="fas fa-edit fa-2x"></i></a></td>
                    <td>{{ include('user/_delete_form.html.twig') }}</td> 
                </tr>
            
            {% endfor %}
            </tbody>
        </table>
    

    </div>
    {% endblock %}

    
